org.eclipse.jetty.servlet

## Class FilterHolder

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.servlet.Holder<javax.servlet.Filter>
    - - org.eclipse.jetty.servlet.FilterHolder

- All Implemented Interfaces:
    Dumpable, LifeCycle

      public class FilterHolder
      extends Holder<javax.servlet.Filter>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `FilterHolder.Registration`

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.servlet.Holder

      `Holder.HolderConfig, Holder.HolderRegistration, Holder.Source`

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `AbstractLifeCycle.AbstractLifeCycleListener`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `LifeCycle.Listener`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.servlet.Holder

      `_asyncSupported, _class, _className, _displayName, _extInstance, _initParams, _name, _servletHandler`

    - ### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterHolder()` Constructor
    `FilterHolder(Class<? extends javax.servlet.Filter> filter)` Constructor
    `FilterHolder(javax.servlet.Filter filter)` Constructor for existing filter.
    `FilterHolder(Holder.Source source)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroyInstance(Object o)`
    `void` | `doStart()`
    `void` | `doStop()`
    `javax.servlet.Filter` | `getFilter()`
    `javax.servlet.FilterRegistration.Dynamic` | `getRegistration()`
    `void` | `setFilter(javax.servlet.Filter filter)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.jetty.servlet.Holder

      `dump, dump, getClassName, getDisplayName, getHeldClass, getInitParameter, getInitParameterNames, getInitParameters, getName, getServletHandler, getSource, illegalStateIfContextStarted, isAsyncSupported, isInstance, setAsyncSupported, setClassName, setDisplayName, setHeldClass, setInitParameter, setInitParameters, setName, setServletHandler`

    - ### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterHolder

          public FilterHolder()

      Constructor

    - #### FilterHolder

          public FilterHolder(Holder.Source source)

      Constructor

    - #### FilterHolder

          public FilterHolder(Class<? extends javax.servlet.Filter> filter)

      Constructor

    - #### FilterHolder

          public FilterHolder(javax.servlet.Filter filter)

      Constructor for existing filter.

  - ### Method Detail

    - #### doStart

          public void doStart()
                       throws Exception

      Overrides:
        `doStart` in class `Holder<javax.servlet.Filter>`
      Throws:
        `Exception`

    - #### doStop

          public void doStop()
                      throws Exception

      Overrides:
        `doStop` in class `Holder<javax.servlet.Filter>`
      Throws:
        `Exception`

    - #### destroyInstance

          public void destroyInstance(Object o)
                               throws Exception

      Overrides:
        `destroyInstance` in class `Holder<javax.servlet.Filter>`
      Throws:
        `Exception`

    - #### setFilter

          public void setFilter(javax.servlet.Filter filter)

    - #### getFilter

          public javax.servlet.Filter getFilter()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Holder<javax.servlet.Filter>`

    - #### getRegistration

          public javax.servlet.FilterRegistration.Dynamic getRegistration()

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.